description.h File Reference
`#include <ubuntu/visibility.h>`
`#include <ubuntu/application/id.h>`
`#include <ubuntu/application/lifecycle_delegate.h>`
Include dependency graph for description.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void | UApplicationDescription
| Encapsulates properties of an application instance. More...

## Functions

UBUNTU_DLL_PUBLIC UApplicationDescription * | u_application_description_new ()
| Creates a new instance of application description. More...
UBUNTU_DLL_PUBLIC void | u_application_description_destroy (UApplicationDescription *desc)
| Destroys an instance of application description and releases all resources. More...
UBUNTU_DLL_PUBLIC void | u_application_description_set_application_id (UApplicationDescription *desc, UApplicationId *id)
| Sets the application id contained in the description instance. More...
UBUNTU_DLL_PUBLIC UApplicationId * | u_application_description_get_application_id (UApplicationDescription *desc)
| Queries the application id contained in the description instance. More...
UBUNTU_DLL_PUBLIC void | u_application_description_set_application_lifecycle_delegate (UApplicationDescription *desc, UApplicationLifecycleDelegate *lifecycle_delegate)
| Sets the application lifecycle delegate. More...
UBUNTU_DLL_PUBLIC UApplicationLifecycleDelegate * | u_application_description_get_application_lifecycle_delegate (UApplicationDescription *desc)
| Queries the application lifecycle delegate. More...